-- SPDX-License-Identifier: CC0-1.0

let Test = ./test.dhall ? env:DHALL_GENODE_TEST

let Genode = Test.Genode

let Child = Genode.Init.Child

let init =
      Genode.Init::{
      , children = toMap
          { test-rtc =
              Child.flat
                Child.Attributes::{
                , binary = "test-rtc"
                , exitPropagate = True
                , routes =
                  [ Genode.Init.ServiceRoute.parent "Timer"
                  , Genode.Init.ServiceRoute.child "Rtc" "rtc_drv"
                  ]
                }
          , rtc_drv =
              Child.flat
                Child.Attributes::{
                , binary = "rtc_drv"
                , provides = [ "Rtc" ]
                , routes = [ Genode.Init.ServiceRoute.parent "IO_PORT" ]
                }
          }
      }

in  Test::{ children = Test.initToChildren init }
