-- SPDX-License-Identifier: CC0-1.0

let Test = ./test.dhall ? env:DHALL_GENODE_TEST

let Genode = Test.Genode

let Init = Genode.Init

let Child = Init.Child

in  Test::{
    , children = toMap
        { test-signal =
            Child.flat
              Child.Attributes::{
              , binary = "test-signal"
              , exitPropagate = True
              , priority = 5
              , resources = Init.Resources::{
                , caps = 500
                , ram = Genode.units.MiB 10
                }
              , routes = [ Init.ServiceRoute.parent "Timer" ]
              }
        }
    }
